Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class PdfEncodings.Cp437Conversion

    java.lang.Object
      com.lowagie.text.pdf.PdfEncodings.Cp437Conversion

All Implemented Interfaces:
  ExtraEncoding

Enclosing class:
  PdfEncodings

    private static class PdfEncodings.Cp437Conversion

extends java.lang.Object
implements ExtraEncoding

Field Summary
`private static IntHashtable` | `c2b`
`private static char[]` | `table`

Constructor Summary
`private` | `PdfEncodings.Cp437Conversion()`

Method Summary
`java.lang.String` | `byteToChar(byte[] b, java.lang.String encoding)` Converts a byte array to an Unicode string according to some encoding.
`byte[]` | `charToByte(char char1, java.lang.String encoding)` Converts an Unicode char to a byte array according to some encoding.
`byte[]` | `charToByte(java.lang.String text, java.lang.String encoding)` Converts an Unicode string to a byte array according to some encoding.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### c2b

    private static IntHashtable c2b

### table

    private static final char[] table

Constructor Detail

### PdfEncodings.Cp437Conversion

    private PdfEncodings.Cp437Conversion()

Method Detail

### charToByte

    public byte[] charToByte(java.lang.String text,
                             java.lang.String encoding)

  Description copied from interface: `ExtraEncoding`
  Converts an Unicode string to a byte array according to some encoding.

  Specified by:
    `charToByte` in interface `ExtraEncoding`
  Parameters:
    `text` - the Unicode string
    `encoding` - the requested encoding. It's mainly of use if the same class supports more than one encoding.
  Returns:
    the conversion or `null` if no conversion is supported

### charToByte

    public byte[] charToByte(char char1,
                             java.lang.String encoding)

  Description copied from interface: `ExtraEncoding`
  Converts an Unicode char to a byte array according to some encoding.

  Specified by:
    `charToByte` in interface `ExtraEncoding`
  Parameters:
    `char1` - the Unicode char
    `encoding` - the requested encoding. It's mainly of use if the same class supports more than one encoding.
  Returns:
    the conversion or `null` if no conversion is supported

### byteToChar

    public java.lang.String byteToChar(byte[] b,
                                       java.lang.String encoding)

  Description copied from interface: `ExtraEncoding`
  Converts a byte array to an Unicode string according to some encoding.

  Specified by:
    `byteToChar` in interface `ExtraEncoding`
  Parameters:
    `b` - the input byte array
    `encoding` - the requested encoding. It's mainly of use if the same class supports more than one encoding.
  Returns:
    the conversion or `null` if no conversion is supported

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD